## Class template channel_logger

boost::log::sources::channel_logger — Narrow-char logger. Functionally equivalent to `basic_channel_logger`.

## Synopsis

    // In header: <boost/log/sources/channel_logger.hpp>

    template<typename ChannelT = std::string>
    class channel_logger : public basic_composite_logger< char, channel_logger< ChannelT >, single_thread_model, features< channel< ChannelT > > >
    {
    public:
      // construct/copy/destruct
      channel_logger();
      channel_logger(channel_logger const &);
      template<typename... ArgsT> explicit channel_logger(ArgsT...const &);
      explicit channel_logger(ChannelT const &);
      channel_logger & operator=(channel_logger const &);
    };

## Description

See `channel` class template for a more detailed description

### `channel_logger` public construct/copy/destruct

1.     channel_logger();

   Default constructor

2.     channel_logger(channel_logger const & that);

   Copy constructor

3.     template<typename... ArgsT> explicit channel_logger(ArgsT...const & args);

   Constructor with named arguments

4.     explicit channel_logger(ChannelT const & channel);

   The constructor creates the logger with the specified channel name

   Parameters:

   `channel` | The channel name

5.     channel_logger & operator=(channel_logger const & that);

   Assignment operator

   Swaps two loggers